#ifndef FD_DM4DEM_h_
#define FD_DM4DEM_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void cbMnProyecto(FL_OBJECT *, long);
extern void cbMnDatos(FL_OBJECT *, long);
extern void cbMnHerramientas(FL_OBJECT *, long);
extern void cbMnOpciones(FL_OBJECT *, long);
extern void cbMnAyuda(FL_OBJECT *, long);
extern void cbMnSalir(FL_OBJECT *, long);

extern void cbNbModificar(FL_OBJECT *, long);
extern void cbNbAuto(FL_OBJECT *, long);
extern void cbNbPrevio(FL_OBJECT *, long);
extern void cbNbSiguiente(FL_OBJECT *, long);
extern void cbDlLuzX(FL_OBJECT *, long);
extern void cbDlLuzY(FL_OBJECT *, long);
extern void cbDlLuzZ(FL_OBJECT *, long);
extern void cbDlGrafX(FL_OBJECT *, long);
extern void cbDlGrafY(FL_OBJECT *, long);
extern void cbDlGrafZ(FL_OBJECT *, long);
extern void cbSbZoom(FL_OBJECT *, long);

extern void cbHbIdioma(FL_OBJECT *, long);
extern void cbNbIdAceptar(FL_OBJECT *, long);
extern void cbNbIdCancelar(FL_OBJECT *, long);

extern void cbNbAlAceptar(FL_OBJECT *, long);
extern void cbNbCancelar(FL_OBJECT *, long);
extern void cbHbAlgoritmo(FL_OBJECT *, long);

extern void cbNbAcCerrar(FL_OBJECT *, long);



/**** Forms and Objects ****/

typedef struct {
	FL_FORM *DM4DEM;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *mnProyecto;
	FL_OBJECT *mnDatos;
	FL_OBJECT *mnHerramientas;
	FL_OBJECT *mnOpciones;
	FL_OBJECT *mnAyuda;
	FL_OBJECT *mnSalir;
} FD_DM4DEM;

extern FD_DM4DEM * create_form_DM4DEM(void);
typedef struct {
	FL_FORM *frmToolbar;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *nbModificar;
	FL_OBJECT *nbAuto;
	FL_OBJECT *nbPrevio;
	FL_OBJECT *NbSiguiente;
	FL_OBJECT *lbXYZ;
	FL_OBJECT *lbValores;
	FL_OBJECT *dlLuzX;
	FL_OBJECT *dlLuzY;
	FL_OBJECT *dlLuzZ;
	FL_OBJECT *dlGrafX;
	FL_OBJECT *dlGrafY;
	FL_OBJECT *dlGrafZ;
	FL_OBJECT *sbZoom;
} FD_frmToolbar;

extern FD_frmToolbar * create_form_frmToolbar(void);
typedef struct {
	FL_FORM *frmIdioma;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *boxIdioma;
	FL_OBJECT *hbIdioma;
	FL_OBJECT *nbIdAceptar;
	FL_OBJECT *NbIdCancelar;
} FD_frmIdioma;

extern FD_frmIdioma * create_form_frmIdioma(void);
typedef struct {
	FL_FORM *frmAlgoritmo;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *fbAlgoritmo;
	FL_OBJECT *nbAlAceptar;
	FL_OBJECT *nbCancelar;
	FL_OBJECT *hbAlgoritmo;
} FD_frmAlgoritmo;

extern FD_frmAlgoritmo * create_form_frmAlgoritmo(void);
typedef struct {
	FL_FORM *frmAcerca;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *Acerca_de;
	FL_OBJECT *nbAcCerrar;
	FL_OBJECT *pixmapAcerca;
} FD_frmAcerca;

extern FD_frmAcerca * create_form_frmAcerca(void);
typedef struct {
	FL_FORM *frmVisGraf;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *ncanvasVis;
} FD_frmVisGraf;

extern FD_frmVisGraf * create_form_frmVisGraf(void);

#endif /* FD_DM4DEM_h_ */
