#include "forms.h"
#include "DM4DEM.h"

FD_DM4DEM *fd_DM4DEM;
FD_frmToolbar *fd_frmToolbar;
FD_frmIdioma *fd_frmIdioma;
FD_frmAlgoritmo *fd_frmAlgoritmo;
FD_frmAcerca *fd_frmAcerca;
FD_frmVisGraf *fd_frmVisGraf;
   
int main(int argc, char *argv[])
{


   fl_set_border_width(2);
   fl_initialize(&argc, argv, 0, 0, 0);
 
 /* Internacionalizacion: */
   fl_set_resource(FLOKLabel,"Aceptar");
   fl_set_resource(FLQuestionYesLabel,"Si");
   fl_set_resource(FLQuestionNoLabel,"No");   
   fl_set_resource(FLInputCancelLabel,"Cancelar");
   fl_set_resource(FLInputClearLabel,"Restablecer");   
 /* Internacionalizacion  */
 
 /* Menues con estilo regular */ 
   fl_setpup_default_fontstyle(1);
   fl_setpup_default_cursor(XC_arrow);
 /* Colores fondo, marco superior, marco izquierdo, para simular colores XGRASS */
   fl_mapcolor(FL_COL1,210,210,210);
   fl_mapcolor(14,255,255,255);
   fl_mapcolor(14,230,230,230);   
 /* Colores fondo, marco superior, marco izquierdo, para simular colores XGRASS */   
   fd_DM4DEM = create_form_DM4DEM();
   fd_frmToolbar = create_form_frmToolbar();
   fd_frmIdioma = create_form_frmIdioma();
   fd_frmAlgoritmo = create_form_frmAlgoritmo();
   fd_frmAcerca = create_form_frmAcerca();
   fd_frmVisGraf = create_form_frmVisGraf();

   /* fill-in form initialization code */

   /* show the first form */
   fl_show_form(fd_DM4DEM->DM4DEM,FL_PLACE_CENTERFREE,FL_FULLBORDER,"DM4DEM");
   fl_do_forms();
   return 0;
}
