#include "forms.h"
#include <string.h>
#include <math.h>
#include "DM4DEM.h"
static double zFac=1;
static double xA=0.5,yA=0.5,zA=0.5;

/* callbacks and freeobj handles for form DM4DEM */
void cbMnProyecto(FL_OBJECT *ob, long data)
{
	FD_FSELECTOR *fs;
	char str[100];
	const char *S;
	int item = fl_get_menu(ob);
	if (item<=0)
		return;
	if (item !=1)
	{
		fl_set_fselector_placement(FL_PLACE_FREE);
/*
		fl_set_fselector_callback(load_file,0);
		fl_add_fselector_appbutton("Descripcion",ver_desc,0);
*/
/*  Internacionalizacion:  */
		fl_set_fselector_title("Abrir DEM");			
		fs = fl_get_fselector_fdstruct();
		fl_set_object_label(fs->ready,"Aceptar");
		fl_set_object_label(fs->cancel,"Cancelar");
		fl_set_object_label(fs->resbutt,"Actualizar");
		fl_set_object_label(fs->dirlabel,"Directorio");
		fl_set_object_label(fs->patlabel,"Diseo");		
		fl_fit_object_label(fs->ready,1,1);
		fl_fit_object_label(fs->cancel,1,1);
		fl_fit_object_label(fs->resbutt,1,1);
		fl_fit_object_label(fs->dirlabel,1,1);
		fl_fit_object_label(fs->patlabel,1,1);
		fl_show_fselector("Seleccione DEM",0,"*.DEM",0);
/*  Internacionalizacion   */		
		
	}
		
}

void cbMnDatos(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbMnHerramientas(FL_OBJECT *ob, long data)
{
	extern FD_frmToolbar *fd_frmToolbar;
	
	int item = fl_get_menu(ob);
	if (item<=0)
		return;
	if (item == 4)
		if (!fl_form_is_visible(fd_frmToolbar->frmToolbar))
			fl_show_form(fd_frmToolbar->frmToolbar,FL_PLACE_CENTERFREE,FL_FULLBORDER,"Toolbar");
		else
			fl_hide_form(fd_frmToolbar->frmToolbar);			

}

void cbMnOpciones(FL_OBJECT *ob, long data)
{
	extern FD_frmIdioma *fd_frmIdioma;
	extern FD_frmAlgoritmo *fd_frmAlgoritmo;
	
	int item = fl_get_menu(ob);
	if (item<=0)
		return;
	if (item == 1)
		fl_show_form(fd_frmAlgoritmo->frmAlgoritmo,FL_PLACE_CENTERFREE,FL_FULLBORDER,"Algoritmo");	
	else	
		fl_show_form(fd_frmIdioma->frmIdioma,FL_PLACE_CENTERFREE,FL_FULLBORDER,"Idioma");
}

void cbMnAyuda(FL_OBJECT *ob, long data)
{
	extern FD_frmAcerca *fd_frmAcerca;
	

	int item = fl_get_menu(ob);
	if (item<=0)
		return;
	if (item == 3)
	{
		fl_show_form(fd_frmAcerca->frmAcerca,FL_PLACE_CENTERFREE,FL_FULLBORDER,"Acerca de DM4DEM");		
		fl_set_pixmap_file(fd_frmAcerca->pixmapAcerca,"/usr/local/bin/d4d.XPM");		
	}			
}

void cbMnSalir(FL_OBJECT *ob, long data)
{
	if (fl_show_question("Desea salir?",0))
	  exit(0);
}



/* callbacks and freeobj handles for form frmToolbar */
void cbNbModificar(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbNbAuto(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbNbPrevio(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbNbSiguiente(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbDlLuzX(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbDlLuzY(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbDlLuzZ(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbDlGrafX(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbDlGrafY(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
}

void cbDlGrafZ(FL_OBJECT *ob, long data)
{
	long x,y,z;
	char str[200];
		
	zA = fl_get_dial_value(ob);
	z = 14000*zFac;
	x = (30000*zFac*cos(2*3.1415*zA)+450000);
	y = (30000*zFac*sin(2*3.1415*zA)+316000);
	sprintf(str,"d.3d map=image -l lines=10 elevation=topo from_coordinate=%ld,%ld,%ld to_coordinate=450000,316000,318",x,y,z);
	fl_deactivate_all_forms();	
	fl_exe_command("d.erase",0);
	fl_exe_command(str,1);
	fl_activate_all_forms();	
}

void cbSbZoom(FL_OBJECT *ob, long data)
{
	long x,y,z;
	char str[200];
		
	zFac = fl_get_scrollbar_value(ob);
	z = 14000*zFac;
	x = (30000*zFac*cos(2*3.1415*zA)+450000);
	y = (30000*zFac*sin(2*3.1415*zA)+316000);
	sprintf(str,"d.3d map=image lines=10 elevation=topo from_coordinate=%ld,%ld,%ld to_coordinate=450000,316000,318",x,y,z);
	fl_deactivate_all_forms();
	fl_exe_command("d.erase",0);
	fl_exe_command(str,1);
	fl_activate_all_forms();

}



/* callbacks and freeobj handles for form frmIdioma */
void cbHbIdioma(FL_OBJECT *ob, long data)
{
	int idSel;
/*  if (strcmp(fl_get_browser_line(ob,1),"English")) 
  else*/
  	idSel = fl_get_browser(ob);
	switch (idSel)
	{
		case 0: return;
		case 1:	fl_show_message("Espaol seleccionado.","Debera reiniciar el programa para poder establecer los cambios.",0);		
				return;
		case 2:	fl_show_message("English selected.","You need to restart the program for changes to make effect.",0);			
				return;
		case 3:	fl_show_message("Sueco seleccionado.","",0);		
				return;
		case 4:	fl_show_message("Portugues elegido.", "Comete un Garoto y espera a que traduzca.",0);		
				return;
		default: return;
	}
  
}

void cbNbIdAceptar(FL_OBJECT *ob, long data)
{
	extern FD_frmIdioma *fd_frmIdioma;
	
	fl_hide_form(fd_frmIdioma->frmIdioma);
}

void cbNbIdCancelar(FL_OBJECT *ob, long data)
{
	extern FD_frmIdioma *fd_frmIdioma;
	
	fl_hide_form(fd_frmIdioma->frmIdioma);
}



/* callbacks and freeobj handles for form frmAlgoritmo */
void cbNbAlAceptar(FL_OBJECT *ob, long data)
{
	extern FD_frmAlgoritmo *fd_frmAlgoritmo;
	
	fl_hide_form(fd_frmAlgoritmo->frmAlgoritmo);
}

void cbNbCancelar(FL_OBJECT *ob, long data)
{
	extern FD_frmAlgoritmo *fd_frmAlgoritmo;
	
	fl_hide_form(fd_frmAlgoritmo->frmAlgoritmo);
}

void cbHbAlgoritmo(FL_OBJECT *ob, long data)
{
	int idSel;
  	idSel = fl_get_browser(ob);
	switch (idSel)
	{
		case 0: return;
		case 1:	return;
		case 2:	return;
		default: return;
	}
  
}



/* callbacks and freeobj handles for form frmAcerca */
void cbNbAcCerrar(FL_OBJECT *ob, long data)
{
	extern FD_frmAcerca *fd_frmAcerca;
	
	fl_hide_form(fd_frmAcerca->frmAcerca);
}



/* callbacks and freeobj handles for form frmVisGraf */


